> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener historial de un GPS

> Operacion: Obtener historial de un GPS.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/gps_history/get/{gps_detail_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/gps_history/get/{gps_detail_id}:
    get:
      tags:
        - GPS History
      summary: Obtener historial de un GPS
      description: 'Operacion: Obtener historial de un GPS.'
      operationId: GpsHistoryController_getGpsHistory
      parameters:
        - name: gps_detail_id
          required: true
          in: path
          description: ID del GPS (UUID)
          schema:
            type: string
      responses:
        '200':
          description: Historial del GPS obtenido exitosamente
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GpsHistoryResponseDto'
        '404':
          description: Historial no encontrado
      security:
        - bearerAuth: []
components:
  schemas:
    GpsHistoryResponseDto:
      type: object
      properties:
        id:
          type: number
          description: ID del historial
        gps_detail_id:
          type: string
          description: ID del GPS
        gps_name:
          type: object
          description: Nombre del GPS
        gps_status:
          type: object
          description: Estado del GPS
        inventory_name:
          type: object
          description: Nombre del inventario
        updated_at:
          format: date-time
          type: string
          description: Fecha de actualización
        assigned_name:
          type: object
          description: Nombre del asignado
      required:
        - id
        - gps_detail_id
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````